import SwiftUI

struct PlayerProfileView: View {
    var body: some View {
        HStack(spacing: 15) {
            Text("1")
                .font(.largeTitle)
                .fontWeight(.bold)
                .foregroundColor(.purple)
            
            Image("iga_swiatek") // Assurez-vous d'ajouter l'image dans Assets.xcassets
                .resizable()
                .aspectRatio(contentMode: .fill)
                .frame(width: 50, height: 50)
                .clipShape(Circle())
            
            Text("IGA SWIATEK")
                .font(.title2)
                .fontWeight(.semibold)
            
            Spacer()
            
            Label("POL", systemImage: "flag.fill")
                .labelStyle(.titleAndIcon)
                .foregroundColor(.red)
        }
        .padding(.horizontal)
    }
}

struct PlayerProfileView_Previews: PreviewProvider {
    static var previews: some View {
        PlayerProfileView()
    }
}
